
Figure - Bug #114209
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 114212 (New): V4.0专项--BSP专项--性能测试

【BSP】【EVT1】【专项】【Benchmark】AndroBench 测试Sequential Read分数为1603，低于同平台产品1700
2022-11-29 19:58 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-29

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

Need_Info: -- Found Version: 01.00.X101_0046.X101

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

使用user版本测试

【测试步骤】

1.安装AndroBench跑分工具

2.打开跑分工具并运行

3.跑分结束后，查看结果

【预期结果】

各项跑分数据不低于同平台跑分数据

【实际结果】

Sequential Read分数为1603，低于同平台产品1700

详细跑分结果：https://thundersoft.feishu.cn/sheets/shtcnxGYnn4xc7FO3Pdb4He8H0e?sheet=TQCgW3

sheet： 1-3 AndroBench

History

#1 - 2022-11-30 10:25 - 移动测试一组_CDTS 刘强

- Parent task changed from #111342 to #114212

#2 - 2022-11-30 16:23 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#3 - 2022-12-07 13:42 - CD SYSTEM-胡兵

- Assignee changed from CD BSP-唐金泽 to CD SYSTEM-龚元祝

Hi 元祝

需要确认当前版本是否处于性能模式，确认对比机平台、ddr、ufs、android版本是否对齐。另外需要获取高通QRD/MTP相关信息（case）

Thanks.
#4 - 2022-12-07 17:17 - CD SYSTEM-龚元祝

需要硬件提供一些UFS的规格书。

#5 - 2022-12-08 10:51 - CD SYSTEM-龚元祝

- File ufs_skhynix20221208-104945.jpeg added

Figure使用的UFS器件型号：

cat /proc/scsi/scsi   

Vendor: SKhynix  Model: HN8T05BZGKX015   Rev: A043

理论速度如下：

https://share.thundersoft.com/redmine/attachments/71292/ufs_skhynix20221208-104945.jpeg

#6 - 2022-12-08 10:58 - CD SYSTEM-龚元祝

- Assignee changed from CD SYSTEM-龚元祝 to CDTS_TEST 刘勇

请提供对比机的UFS器件信息，可用如下命令获取。

adb root

adb shell 'cat /proc/scsi/scsi'

#7 - 2022-12-08 11:18 - CDTS-TEST 周婷

- Target version set to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

#8 - 2022-12-08 13:49 - CDTS-TEST 周婷

- Assignee changed from CDTS_TEST 刘勇 to CD SYSTEM-龚元祝

如需确认请正确更改bug 状态

#9 - 2022-12-08 16:38 - CD SYSTEM-龚元祝

- Status changed from New to NEED_INFO

- Assignee changed from CD SYSTEM-龚元祝 to CDTS_TEST 刘勇

#10 - 2022-12-08 17:41 - CDTS_TEST 刘勇

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 刘勇 to CD SYSTEM-龚元祝

因为对比机是出售版本，不能进行cat操作，获取不到对应信息

#11 - 2022-12-09 15:16 - CD SYSTEM-龚元祝

- File 0.png added

- File 1.png added

- File 2.png added

- File 3.png added

- File 4.png added
#12 - 2022-12-09 15:57 - CD SYSTEM-龚元祝

- File 5.png added

- File fio added

Figure使用如下user版本测试：

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221208/202212081841-1724

1 AndroBench 5.0.1 运行前已提示，该版本并不适用于android 12，可能存在问题。

https://share.thundersoft.com/redmine/attachments/download/71362/1.png

2 AndroBench 5.0.1 默认配置以及跑分结果。file size=64MB， buffer size=32MiB，结果1627MB/s。

https://share.thundersoft.com/redmine/attachments/download/71361/0.png

https://share.thundersoft.com/redmine/attachments/download/71363/2.png

3 fio-3.26跑分结果。file size=64MB， buffer size=32MB，结果1637MB/s，IO利用率仅util=69.41%，可以见性能未跑满。

https://share.thundersoft.com/redmine/attachments/download/71364/3.png

4 调整file size后，fio-3.26跑分结果。file size=1024MB， buffer size=32MB，结果1710MB/s，IO利用率达到util=96.89%。

https://share.thundersoft.com/redmine/attachments/download/71365/4.png

5 同样用file size=1024MB， buffer size=32MB设置，androdbench跑分顺序写结果1485MB/s，随机写速率大降，SQLITE得分大增。

https://share.thundersoft.com/redmine/attachments/71376/5.png

综上测试和分析，可以认为androbench5.0.1在android 12上是存在问题的。与对比机android 10的测试结果可能出现较大差异。建议使用fio对比测试顺序写

。

方法如下：

adb push fio /data

adb shell

$cd /data

$./fio -bs=32m -direct=1 -thread -rw=read -size=1024M -iodepth=1 -runtime=60 -numjobs=8 -name="32m-read-test" -group_reporting -ioengine=psync |tee

/data/read-32m.txt

如果对比机无法root做测试，那figure的顺序读测试结果请参考fio测试的1710MB/s。略优于对比机。

#13 - 2022-12-09 16:01 - CD SYSTEM-龚元祝

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-龚元祝 to CDTS_TEST 刘勇

#14 - 2023-01-29 17:18 - 移动测试一组_CDTS 刘强

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#15 - 2023-01-29 17:21 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

使用安兔兔进行读写测试，优于对比机，研发使用fio 测试1710，因此关闭次问题

#16 - 2023-01-29 17:22 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
Files

ufs_skhynix20221208-104945.jpeg 180 KB 2022-12-08 CD SYSTEM-龚元祝

0.png 134 KB 2022-12-09 CD SYSTEM-龚元祝

1.png 104 KB 2022-12-09 CD SYSTEM-龚元祝

2.png 133 KB 2022-12-09 CD SYSTEM-龚元祝

3.png 82.3 KB 2022-12-09 CD SYSTEM-龚元祝

4.png 90.3 KB 2022-12-09 CD SYSTEM-龚元祝

5.png 118 KB 2022-12-09 CD SYSTEM-龚元祝

fio 3.77 MB 2022-12-09 CD SYSTEM-龚元祝
